breeds 
[ fighter 
  corvette 
  frigate 
  destroyer 
  cruiser
  resourcer 
  builder
  starbase
  shipyard
  advanced-shipyard
  research-facility
  cannon 
  kral-timeship
  kral-timefighter
  pirate-frigate
  pirate-corvette
  pirate-salvager
  imperial-bomber
  imperial-carrier
  imperial-destroyer
  xenomorph-small
  xenomorph-big
  elphote-cruiser
  elphote-destroyer
  elphote-frigate
  elphote-interceptor
  enemy-shot       ;10 damage
  enemy-laser      ;50 damage
  enemy-torpedo    ;100 damage
  dcannon   ;uber-damage
  shot             ;10 damage (Big ships do 20 or 30)
  laser            ;50 damage
  torpedo          ;100 damage
  explosion
  planet]
  
turtles-own [shields HP attack speed armor current-speed ally?]  
  
patches-own [resources]

builder-own [collection builder-IDX]

globals [mission-num buffer minerals mission# turns-left
         builder-counter resourcer-counter fighter-counter corvette-counter frigate-counter destroyer-counter cruiser-counter
         starbase-counter shipyard-counter research-facility-counter advanced-shipyard-counter cannon-counter    ;ensures only one per turn
         shield-bonus HP-bonus attack-bonus speed-bonus armor-bonus special-bonus                                ;bonuses
         num-building                                                                                ;Unique ID to creators
         victory?
         ]          




;__extensions [ "sound.jar" ]

to music
;  start-note "Cello" 50 50                      ;D        ;listed: pitch, volume, duraton
;  start-note "Cello" 45 50                      ;A
;  start-note "Cello" 41 50                      ;F
;  wait 1
;  start-note "Cello" 36 80
;  wait 1
;  stop-note "Cello" 36
;  wait 0.01
;  start-note "Cello" 36 80
;  wait 1
;  stop-note "Cello" 36
;  wait 0.01
;  
;  start-note "Cello" 36 80
;  start-note "Clarinet" 62 64                   ;D
;  wait 0.5
;  stop-note "Clarinet" 62
;  wait 0.01
;  start-note "Clarinet" 64 64                   ;E
;  wait 0.5
;  stop-note "Clarinet" 64
;  stop-note "Cello" 36
;  wait 0.01
;  start-note "Cello" 38 80
;  start-note "Clarinet" 65 64                   ;F
;  wait 1
;  stop-note "Cello" 38
;  wait 0.01
;  start-note "Cello" 38 80
;  wait 1
;  stop-instrument "Clarinet"
;  stop-note "Cello" 38
;  wait 0.01
;  
;  start-note "Cello" 38 80
;  start-note "Clarinet" 69 64                   ;A
;  wait 0.5
;  stop-note "Clarinet" 69
;  wait 0.01
;  start-note "Clarinet" 67 64                   ;G
;  wait 0.5
;  stop-note "Cello" 38
;  stop-note "Clarinet" 67
;  wait 0.01
;  start-note "Cello" 41 80
;  start-note "Clarinet" 65 64                   ;F
;  wait 1
;  stop-note "Cello" 41
;  wait 0.01
;  start-note "Cello" 41 80
;  wait 1
;  stop-instrument "Clarinet"
;  stop-note "Cello" 41
;  wait 0.01
;  
;  start-note "Cello" 41 80
;  start-note "Clarinet" 62 64                   ;D
;  wait 0.5
;  stop-note "Clarinet" 62
;  wait 0.01
;  start-note "Clarinet" 60 64                   ;C
;  wait 0.5
;  stop-note "Cello" 41
;  stop-note "Clarinet" 60
;  wait 0.01
;  start-note "Cello" 50 80
;  start-note "Clarinet" 62 64                   ;D
;  wait 1
;  stop-note "Cello" 50
;  wait 0.01
;  start-note "Cello" 50 80
;  wait 1
;  stop-instrument "Clarinet"
;  stop-note "Cello" 50
;  wait 0.01
;  start-note "Cello" 50 80
;  wait 1
;  stop-note "Cello" 50
;  wait 0.01
;  
;  start-note "Cello" 50 80
;  start-note "Clarinet" 69 64                   ;A
;  wait 0.5
;  stop-note "Clarinet" 69
;  wait 0.01
;  start-note "Clarinet" 72 64                   ;C
;  wait 0.5
;  stop-note "Cello" 50
;  stop-note "Clarinet" 72
;  wait 0.01
;  start-note "Cello" 41 80
;  start-note "Clarinet" 74 64                   ;D
;  wait 1
;  stop-note "Cello" 41
;  wait 0.01
;  start-note "Cello" 41 80
;  wait 1
;  stop-instrument "Clarinet"
;  stop-note "Cello" 41
;  wait 0.1
;  
;  start-note "Cello" 41 80
;  start-note "Clarinet" 74 64                   ;D
;  wait 0.5
;  stop-note "Clarinet" 74
;  wait 0.01
;  start-note "Clarinet" 77 64                   ;F
;  wait 0.5
;  stop-note "Cello" 41
;  stop-note "Clarinet" 77
;  wait 0.01
;  start-note "Cello" 48 80
;  start-note "Clarinet" 76 64                    ;E
;  wait 1
;  stop-note "Cello" 48
;  wait 0.01
;  start-note "Cello" 48 80
;  wait 1
;  stop-instrument "Clarinet"
;  stop-note "Cello" 48
;  wait 0.01
;  
;  start-note "Cello" 48 80
;  start-note "Clarinet" 62 64                   ;D
;  wait 0.5
;  stop-note "Clarinet" 62
;  wait 0.01
;  start-note "Clarinet" 60 64                   ;C
;  wait 0.5
;  stop-note "Cello" 48
;  stop-note "Clarinet" 60
;  wait 0.01
;  start-note "Cello" 38 80
;  start-note "Clarinet" 62 64                   ;D
;  wait 4
;  stop-instrument "Clarinet"
;  stop-instrument "Cello"                          ;Add lower line
  user-message "Deltannia: Grey Commander" 
end




to setup
  ca
  set victory? 0
  set buffer 1
  set minerals 0
  ask turtles 
  [set shield-bonus 0
   set HP-bonus 0
   set attack-bonus 0 
   set speed-bonus 0
   set armor-bonus 0
   set special-bonus 0]
  
   reset-counters

   set starbase-counter 1
   set shipyard-counter 1
   set research-facility-counter 1
   set advanced-shipyard-counter 1
   set cannon-counter 1  
   ifelse mission-choose = 1
    [mission1-setup]
    [ifelse mission-choose = 2
      [mission2-setup]
      [ifelse mission-choose = 3
        [mission3-setup]
        [ifelse mission-choose = 4
          [mission4-setup]
          [mission5-setup]]]]
end

to setup-ships
  ask fighter   
    [set shields 5
     set HP 50
     set attack 5                                ;Change?
     set speed 4
     set armor 0
     set color grey + 1
     set size 1.5
     set ally? TRUE
     set shape "swiftstrike"]
  ask corvette 
    [set shields 10
     set HP 100
     set attack 10
     set speed 3
     set armor 1
     set color grey + 1
     set size 2.25
     set ally? TRUE
     set shape "xyn'nyf-corvette"]
  ask frigate
    [set shields 25
     set HP 500
     set attack 25
     set speed 2
     set armor 2
     set color grey + 1
     set size 3
     set ally? TRUE
     set shape "s'val-frigate"]
  ask destroyer
    [set shields 100
     set HP 1000
     set attack 35
     set speed 1
     set armor 4
     set color grey + 1
     set size 4
     set ally? TRUE
     set shape "hammer"]
  ask cruiser 
    [set shields 100
     set HP 2000
     set attack 50
     set speed 1
     set armor 5
     set color grey + 1
     set size 5
     set ally? TRUE
     set shape "juggernaut"]
  ask resourcer
    [set shields 100
     set HP 100
     set attack 0
     set speed 2
     set armor 2
     set color grey + 1
     set size 3
     set ally? TRUE
     set shape "resourcer"]
  ask builder 
    [set shields 10
     set HP 500
     set attack 0
     set speed 2
     set armor 3
     set color grey + 1
     set size 3
     set ally? TRUE
     set shape "builder"]
end



to mission1-setup                                        ;Scout Area
  ifelse quick-setup?
  [set buffer 1]
  [music]
  print "Mission 1: Edge of The Maw"
  print "Objectives: Find and destroy renegade Kral Timeship"
  print "Time Limit: 50 turns"
  print ""
  print "Commodore, a rebel Kral faction is on the run."
  print "We should destroy them before the engage their temporal weapons..."
  repeat 20                                                          ;Create asteroids
    [ask patch-at (random screen-size-x) (random screen-size-y)
        [set pcolor brown
         set resources resource-level]]
  
  ask patch-at (random screen-size-x) (random screen-size-y)         ;Create nebula
    [set pcolor green - 3
     ask neighbors [set pcolor green - 3]]   
  repeat 5
  [ask patches with [pcolor = green - 3]
    [ask neighbors4 [set pcolor green - 3]]]
  repeat 2
  [ask patches with [pcolor = green - 3]
    [ask neighbors [set pcolor green - 3]]]
  ask patches with [pcolor = green - 3]
    [set resources resource-level] 
  create-custom-planet 1                                               ;planet setup
    [setxy (screen-edge-x / 2) (-(screen-edge-y / 2))
     set size 10
     set heading random 360
     set shape "planeta"
     set ally? TRUE
     set HP 1000000]   
  
  create-custom-destroyer 1
    [setxy (int (screen-edge-x / 2)) (-(int (screen-edge-y / 2)))]
  create-custom-builder 1
    [setxy (int (screen-edge-x / 2 - 5)) (-(int (screen-edge-y / 2)))]
  create-custom-resourcer 1
    [setxy (int (screen-edge-x / 2 - 3)) (-(int (screen-edge-y / 2)))]
  create-custom-fighter 3
    [setxy (int (screen-edge-x / 2 - 4 + random 8)) (-(int (screen-edge-y / 2 - 7)))
     set heading 0]
   setup-ships
  create-custom-starbase 1
    [setxy (int (screen-edge-x / 2)) (-(int (screen-edge-y / 2 + 8)))
     set size 5
     set color gray + 1
     set shape "starbase"
     set HP 5000
     set ally? TRUE]
  ask turtles [set current-speed speed]
  
  create-custom-kral-timeship 1
    [setxy (-(int (screen-edge-x / 2 - 4 + random 8))) (int (screen-edge-y / 2 - 4 + random 8))
     set color black
     set size 5
     set heading 90
     set shields 100
     set HP 1000
     set armor 2
     set shape "kral-timeship"]
  create-custom-kral-timefighter 3
    [setxy (-(int (screen-edge-x / 2 - 4 + random 8))) ((int screen-edge-y / 2 - 4 + random 8))
     set color black
     set size 2
     set shields 5
     set HP 75
     set armor 2
     set shape "kral-timefighter"]
   ask builder [set builder-IDX 1]
   set mission# 1
   set turns-left 50
   set minerals 1000
   set starbase-counter 0
end




to mission2-setup                                         ;Build Wormhole Gate
  ca
  reset-counters
  print "Mission 2: Slingshot"
  print "Objectives: Collect 2000 minerals"
  print "Time Limit: 150 turns"
  print ""
  print "Rear Admiral, pirates are in the vicinity."
  print "We cannot allow them to interfere with the construction..."
  set turns-left 150              ;Change number of turns?
  repeat 15                                                           ;create asteroids
    [ask patch-at (random screen-size-x) (random screen-size-y)
        [set pcolor brown
         set resources resource-level]]
  ask patch-at (-(random screen-edge-x)) (-(random screen-edge-y))        ;Create nebula
    [set pcolor green - 3
     ask neighbors [set pcolor green - 3]]   
  repeat 5
  [ask patches with [pcolor = green - 3]
    [ask neighbors4 [set pcolor green - 3]]]
  repeat 7
  [ask patches with [pcolor = green - 3]
    [ask neighbors [set pcolor green - 3]]]
  ask patches with [pcolor = green - 3]
    [set resources resource-level] 
   create-custom-planet 1                                               ;planet setup
    [setxy (screen-edge-x / 2) (screen-edge-y / 2 - 4)
     set size 15
     set heading random 360
     set shape "planetb"
     set ally? TRUE
     set HP 1000000]  
  
  create-custom-resourcer 1
    [setxy (int (-(screen-edge-x / 2 - 1))) (int (-(screen-edge-y / 2)))]
  create-custom-resourcer 1
    [setxy (int (-(screen-edge-x / 2 - 3))) (int (-(screen-edge-y / 2)))]
  create-custom-resourcer 1
    [setxy (int (-(screen-edge-x / 2 - 5))) (int (-(screen-edge-y / 2)))]
  create-custom-frigate 1
    [setxy (int (screen-edge-x / 2 - 2)) (int (screen-edge-y / 2 - 5))]
  create-custom-frigate 1
    [setxy (int (screen-edge-x / 2 - 4)) (int (screen-edge-y / 2 - 5))]
  create-custom-cruiser 1
    [setxy (int (screen-edge-x / 2 + 4)) (int (screen-edge-y / 2))]
  setup-ships
  create-custom-starbase 1
    [setxy (int (screen-edge-x / 2)) 0
     set size 5
     set color gray + 1
     set shape "starbase"
     set HP 5000
     set ally? TRUE]
  create-custom-shipyard 1
    [setxy (int (screen-edge-x / 2 + 5)) 0
     set size 5
     set color gray + 1
     set shape "shipyard"
     set HP 2500
     set ally? TRUE]
  ask turtles [set current-speed speed]   
  set minerals 0
  
  create-custom-pirate-frigate 3
    [setxy (random int screen-size-x) (random int screen-size-y)
     set size 3
     set color gray + 1
     set shape "pirate-frigate"
     set HP 500
     set ally? FALSE]
  create-custom-pirate-corvette 9   
    [setxy (random int screen-size-x) (random int screen-size-y)
     set size 2
     set color gray + 1
     set shape "pirate-corvette"
     set HP 500
     set ally? FALSE]
  create-custom-pirate-salvager 10
    [setxy (-(random screen-edge-x)) (-(random screen-edge-y)) 
     set size 2
     set color gray + 1
     set shape "pirate-salvager"
     set HP 500
     set ally? FALSE]
   set mission# 2
end




to mission3-setup                                            ;Skirmish      
  ca
  reset-counters
  print "Mission 3: Battle of Tetra 4"
  print "Objectives: Destroy the Carrier-Mothership and cripple their fleet"
  print "Time Limit: 100 turns"
  print ""
  print "Vice Admiral, an imperial Fleet is heading for the planet."
  print "Scanners report an unusual amount of Elphote in the area..." 
  create-custom-planet 1                                               ;planet setup
    [setxy (-(screen-edge-x / 2)) 0
     set size 12
     set heading 0
     set shape "tetra4"
     set ally? TRUE
     set HP 1000000]  
   
  create-custom-destroyer 1
    [setxy (-(screen-edge-x / 2)) 3
     set heading 90]
  create-custom-destroyer 1
    [setxy (-(screen-edge-x / 2)) -3
     set heading 90]
  create-custom-destroyer 1
    [setxy (-(screen-edge-x / 2 - 5)) 3
     set heading 90]
  create-custom-destroyer 1
    [setxy (-(screen-edge-x / 2 - 5)) -3
     set heading 90]
  create-custom-cruiser 1
    [setxy (-(screen-edge-x / 2)) 0
    set heading 90]
  create-custom-cruiser 1
    [setxy (-(screen-edge-x / 2 - 5)) 0
    set heading 90]
  
  setup-ships
  ask turtles [set current-speed speed]  
  create-custom-imperial-carrier 1
    [setxy (screen-edge-x / 2) 0
     set size 5
     set color gray + 1
     set shape "imperial-carrier"
     set shields 200
     set HP 2000
     set heading 270
     set ally? FALSE]
  create-custom-imperial-bomber 12
    [setxy (random int screen-edge-x) (random int screen-size-y)
     set color gray + 1
     set size 3
     set shields 5
     set HP 75
     set heading 270
     set shape "imperial-bomber"]
  create-custom-imperial-destroyer 3
    [setxy (random int screen-edge-x) (random int screen-size-y)
     set size 5
     set color gray + 1
     set shape "imperial-destroyer"
     set shields 100
     set HP 1000
     set heading 270
     set ally? FALSE]
  set turns-left 100
  set mission# 3
  set minerals 2000
end




to mission4-setup                                         ;Siege
  ca
  reset-counters
  print "Mission 4: Siege of the Xenomorphs"
  print "Objectives: Destroy three planets with the Dimensional Cannon"
  print "Time Limit: 150 turns"
  print ""
  print "Admiral, the Blockade of the Xenomorphs is underway."
  print "We are ready for the siege on the first planet..." 
  create-custom-planet 1 
    [setxy (screen-edge-x / 2 - 3) (screen-edge-y / 2)
     set size 13
     set heading random 360
     set shape "planetc"
     set ally? FALSE
     set HP 1000000] 
  create-custom-planet 1
    [setxy (-(screen-edge-x / 2 + 1)) (screen-edge-y / 2 - 4)
     set size 15
     set heading random 360
     set shape "planetd"
     set ally? FALSE
     set HP 1000000] 
  create-custom-planet 1
    [setxy (screen-edge-x / 2 - 11) (-(screen-edge-y / 2 - 4))
     set size 15
     set heading random 360
     set shape "planete"
     set ally? FALSE
     set HP 1000000] 
   create-custom-planet 1
    [setxy 0 (-(screen-edge-y) + 2)
     set size 15
     set heading random 360
     set shape "wormhole"
     set ally? TRUE
     set HP 1000000] 
  create-custom-frigate 1
      [setxy 0 int (-(screen-edge-y) + 7)]
  create-custom-frigate 1
      [setxy 2 int (-(screen-edge-y) + 7)]
  create-custom-frigate 1
      [setxy 4 int (-(screen-edge-y) + 7)]
  create-custom-frigate 1
      [setxy -2 int (-(screen-edge-y) + 7)]
  create-custom-frigate 1
      [setxy -4 int (-(screen-edge-y) + 7)]
  create-custom-resourcer 1
      [setxy 0 int (-(screen-edge-y) + 9)]
  create-custom-resourcer 1
      [setxy 2 int (-(screen-edge-y) + 9)]
  create-custom-resourcer 1
      [setxy -2 int (-(screen-edge-y) + 9)]
  ask patches with [pcolor = black]
  [set resources resource-level
   set pcolor green - 3] 
  setup-ships
  ask turtles [set current-speed speed]    
  set turns-left 150
  set mission# 4
  spawn-bugs
  set minerals 10000
end




to mission5-setup                                         ;Defense
  ca
  reset-counters
  print "Mission 5: Battle of New Delta"
  print "Objectives: Defend New Delta"
  print "Time Limit: 200 turns"
  print ""
  print "Fleet Admiral, an Elphote Strike Force is headed for us!"
  print "Our new planetary space station is ready to test, the Battledome..." 
  ca
  ask patches                                          ;Battledome Setup
    [if pycor = (-(screen-edge-y))
     [set pcolor gray + 1]
     if pycor = (-(screen-edge-y) + 1)
     [set pcolor gray + 1]
     if pycor = (-(screen-edge-y) + 2)
     [set pcolor gray + 1]]
  create-custom-cannon 1
      [setxy 0 int (-(screen-edge-y) + 5)]
  create-custom-cannon 1
      [setxy 3 int (-(screen-edge-y) + 5)]
      create-custom-cannon 1
      [setxy -3 int (-(screen-edge-y) + 5)]
  create-custom-cannon 1
      [setxy int screen-edge-x int (-(screen-edge-y) + 2)]   
  create-custom-cannon 1
      [setxy int (-(screen-edge-x)) int (-(screen-edge-y) + 2)]   
  create-custom-cannon 1
      [setxy int screen-edge-x / 2 int (-(screen-edge-y) + 2)]  
  create-custom-cannon 1
      [setxy int (-(screen-edge-x / 2)) int (-(screen-edge-y) + 2)]
  create-custom-cannon 1
      [setxy 0 int (-(screen-edge-y) + 10)]
  create-custom-cannon 1
      [setxy int screen-edge-x int (-(screen-edge-y) + 10)]   
  create-custom-cannon 1
      [setxy int (-(screen-edge-x)) int (-(screen-edge-y) + 10)]   
  create-custom-cannon 1
      [setxy int screen-edge-x / 2 int (-(screen-edge-y) + 10)]  
  create-custom-cannon 1
      [setxy int (-(screen-edge-x / 2)) int (-(screen-edge-y) + 10)]  
  create-custom-cannon 1
      [setxy 0 int (-(screen-edge-y) + 20)]
  create-custom-cannon 1
      [setxy int screen-edge-x int (-(screen-edge-y) + 20)]   
  create-custom-cannon 1
      [setxy int (-(screen-edge-x)) int (-(screen-edge-y) + 20)]   
  create-custom-cannon 1
      [setxy int screen-edge-x / 2 int (-(screen-edge-y) + 20)]  
  create-custom-cannon 1
      [setxy int (-(screen-edge-x / 2)) int (-(screen-edge-y) + 20)]
  create-custom-cruiser 1
      [setxy 0 int (-(screen-edge-y / 2))]
  create-custom-cruiser 1
      [setxy int screen-edge-x int (-(screen-edge-y / 2))]
  create-custom-cruiser 1
      [setxy int screen-edge-x / 2 int (-(screen-edge-y / 2))]
  create-custom-cruiser 1
      [setxy int (-(screen-edge-x)) int (-(screen-edge-y / 2))]
  create-custom-cruiser 1
      [setxy int (-(screen-edge-x) / 2) int (-(screen-edge-y / 2))]
  create-custom-destroyer 1
      [setxy 0 int (-(screen-edge-y / 2) + 5)]
  create-custom-destroyer 1
      [setxy int screen-edge-x int (-(screen-edge-y / 2) + 5)]
  create-custom-destroyer 1
      [setxy int screen-edge-x / 2 int (-(screen-edge-y / 2) + 5)]
  create-custom-destroyer 1
      [setxy int (-(screen-edge-x)) int (-(screen-edge-y / 2) + 5)]
  create-custom-destroyer 1
      [setxy int (-(screen-edge-x) / 2) int (-(screen-edge-y / 2) + 5)]
  create-custom-frigate 1
      [setxy 0 int (-(screen-edge-y / 2) + 8)]
  create-custom-frigate 1
      [setxy int screen-edge-x int (-(screen-edge-y / 2) + 8)]
  create-custom-frigate 1
      [setxy int screen-edge-x / 2 int (-(screen-edge-y / 2) + 8)]
  create-custom-frigate 1
      [setxy int (-(screen-edge-x)) int (-(screen-edge-y / 2) + 8)]
  create-custom-frigate 1
      [setxy int (-(screen-edge-x) / 2) int (-(screen-edge-y / 2) + 8)]
  create-custom-frigate 1
      [setxy int screen-edge-x / 4 * 3 int (-(screen-edge-y / 2) + 8)]
  create-custom-frigate 1
      [setxy int screen-edge-x / 4 int (-(screen-edge-y / 2) + 8)]
  create-custom-frigate 1
      [setxy int (-(screen-edge-x) / 4 * 3) int (-(screen-edge-y / 2) + 8)]
  create-custom-frigate 1
      [setxy int (-(screen-edge-x) / 4) int (-(screen-edge-y / 2) + 8)]
  create-custom-frigate 1
      [setxy 0 int (-(screen-edge-y / 2) + 10)]
  create-custom-frigate 1
      [setxy int screen-edge-x int (-(screen-edge-y / 2) + 10)]
  create-custom-frigate 1
      [setxy int screen-edge-x / 2 int (-(screen-edge-y / 2) + 10)]
  create-custom-frigate 1
      [setxy int (-(screen-edge-x)) int (-(screen-edge-y / 2) + 10)]
  create-custom-frigate 1
      [setxy int (-(screen-edge-x) / 2) int (-(screen-edge-y / 2) + 10)]
  create-custom-frigate 1
      [setxy int screen-edge-x / 4 * 3 int (-(screen-edge-y / 2) + 10)]
  create-custom-frigate 1
      [setxy int screen-edge-x / 4 int (-(screen-edge-y / 2) + 10)]
  create-custom-frigate 1
      [setxy int (-(screen-edge-x) / 4 * 3) int (-(screen-edge-y / 2) + 10)]
  create-custom-frigate 1
      [setxy int (-(screen-edge-x) / 4) int (-(screen-edge-y / 2) + 10)]
  
  create-custom-starbase 1
    [setxy 0 (-(screen-edge-y) + 3)
     set size 5
     set color gray + 1
     set shape "starbase"
     set HP 5000
     set ally? TRUE]
  create-custom-shipyard 1
    [setxy 3 (-(screen-edge-y) + 3)
     set size 5
     set color gray + 1
     set shape "shipyard"
     set HP 2500
     set ally? TRUE]
   create-custom-advanced-shipyard 1
    [setxy -3 (-(screen-edge-y) + 3)
     set size 5
     set color gray + 1
     set shape "advanced-shipyard"
     set HP 3000
     set ally? TRUE]
  ask cannon
      [set size 5
       set color gray + 1
       set shape "cannon"
       set HP 500
       set heading 0
       set ally? TRUE]
  setup-ships
  ask turtles [set current-speed speed] 
  spawn-elphote
  set minerals 10000
  set turns-left 200
  set mission# 5
  ask turtles with [ally? = FALSE]
    [set heading 180]

end







;MISSION CONDITIONS

to mission1-conditions
  if not any? kral-timeship
     [print "Victory!"
      user-message "Victory!"
      mission2-setup]
  ask kral-timefighter
   [set heading towards random-one-of fighter
     fd 5
    if any? turtles with [self != myself and color = gray + 1] in-radius 5 
     [set color (grey - 2)]]
  ask kral-timeship
   [if any? turtles with [self != myself and color = gray + 1] in-radius 5 
     [set color (grey - 2)]]
end

to mission2-conditions
  if minerals >= 2000
     [print "Victory!"
      user-message "Victory!"
      mission3-setup]
  ask pirate-frigate
    [set heading towards random-one-of turtles with [ally? = TRUE and size < 10]
     fd 5]
  ask pirate-corvette
    [set heading towards random-one-of turtles with [ally? = TRUE and size < 10]
     fd 3]
  ask turtles 
  [ask pirate-salvager-here
  [set heading towards random-one-of patches with [pcolor = green - 3]
   if any? pirate-salvager-on patches with [pcolor = brown]
    [ask patch-here
     [ifelse resources > 0
      [set resources (resources - (resource-level / 2))]
      [set pcolor black
       set resources 0]]]
  if any? pirate-salvager-on patches with [pcolor = green - 3]
    [ask patch-here
     [ifelse resources > 0
      [set resources (resources - (resource-level / 2))]
      [set pcolor black
       set resources 0]]]
  fd 1] ]
end

to mission3-conditions
  locals [a]
  if count imperial-carrier <= 0
   [print "Victory!"
    user-message "Victory!"
    mission4-setup]
  set a random 10
  if a = 1
  [ask imperial-carrier
    [hatch 1
      [setxy xcor-of one-of imperial-carrier-here ycor-of one-of imperial-carrier-here
       set breed imperial-bomber
       set color gray + 1
       set size 3
       set shields 5
       set HP 75
       set heading 270
       set shape "imperial-bomber"
       set ally? FALSE]]]

  if any? turtles with [ally? = TRUE and size < 10]
  [ask turtles with [ally? = FALSE and breed != imperial-carrier]
  [set heading towards-nowrap random-one-of turtles with [ally? = TRUE and size < 10] fd 1]]
  ask imperial-bomber
  [ask turtles with [ally? = TRUE] in-radius 2
  [set HP (HP - 50)]]
end

to mission4-conditions
if count planet with [ally? = FALSE] <= 0
   [print "Victory!"
    user-message "Victory!"
    mission5-setup]
  ask turtles with [ally? = FALSE and breed != planet]
  [lt random 20 rt random 20 fd 2]
  ask turtles with [ally? = FALSE and breed != planet]
  [ask turtles with [ally? = TRUE] in-radius 2
    [set HP (HP - 50)]]
  spawn-bugs
  set minerals (minerals + resource-level)
  if count resourcer <= 0
  [create-custom-resourcer 1
      [setxy 0 int (-(screen-edge-y) + 9)
      set shields 100
      set HP 100
      set speed 2
      set armor 2
      set color grey + 1
      set size 3
      set ally? TRUE
      set shape "resourcer"]]
  ask turtles [set current-speed speed]
end

to mission5-conditions
  set minerals (minerals + (resource-level * 10))
  ask turtles with [ally? = FALSE]
   [set heading 180 fd 2]                                                                      ;change for different speed. And, nowrap.
  ask turtles with [ally? = FALSE]
    [if pcolor-of patch-here = gray + 1 or pycor <= (-(screen-edge-y) + 3)
      [set pcolor black
       ask patch-here
        [ask neighbors4 [set pcolor black]]
      die]]
  if count turtles with [ally? = FALSE] < 30
    [spawn-elphote]
  if turns-left = 1
    [set mission# 0
     print "Victory!"
     final-victory]
  if count patches with [pcolor = gray + 1] < 100 and mission# = 5                             ; If ship crashes, destroy all and neighbors.
    [defeat]
end




to throttle                                                        ;Allows ships to go varying speeds                            
 if mouse-down?
  [ask turtles-at (mouse-xcor) (mouse-ycor)
    [if color = (grey + 1)
      [set current-speed (((speed + speed-bonus) / 100) * current-throttle)]]]
end


to go
  ask turtles 
    [current-resource]
  ask turtles 
    [if ally? = 0
       [set ally? FALSE]]
  ask turtles [if HP <= 0
   [die]]
  ask fighter   [fd current-speed]
  ask corvette  [fd current-speed]
  ask frigate   [fd current-speed]
  ask destroyer [fd current-speed]
  ask cruiser   [fd current-speed]
  ask resourcer [fd current-speed]
  ask builder   [fd current-speed]
  ask turtles with [ally? = FALSE]
    [set armor mission#]
  if mission# = 1
  [mission1-conditions]
  if mission# = 2
  [mission2-conditions]
  if mission# = 3
  [mission3-conditions]
  if mission# = 4
  [mission4-conditions]
  if mission# = 5
  [mission5-conditions]
  reset-counters
  ifelse turns-left > 0
  [set turns-left (turns-left - 1)]
  [defeat]
end

to alter-course
  if mouse-down?
    [ask turtles-at (mouse-xcor) (mouse-ycor)
      [if color = (grey + 1)
        [set heading (change-heading)]]]
end

to auto-adjust                                              ;Alters course towards random target
  if mouse-down?
    [ask turtles-at (mouse-xcor) (mouse-ycor)
      [if color = (grey + 1)
        [set heading towards-nowrap random-one-of turtles with [ally? = FALSE]]]]
end

to reset-counters
  set builder-counter 1                                ;resets creation counters
  set resourcer-counter 1
  set fighter-counter 5
  set corvette-counter 3
  set frigate-counter 1 
  set destroyer-counter 1
  set cruiser-counter 1
  set research-facility-counter 1                      ;Can build only one of each building structures
  set cannon-counter 1
end




to current-resource                                      ;Resource counter, harvest resources from asteroids (so far)
  ask resourcer-here [
  if any? resourcer-on patches with [pcolor = brown]
    [ask patch-here
     [ifelse resources > 0
      [set resources (resources - 10)
       set minerals (minerals + 10)]
      [set pcolor black
       set resources 0]]]
  if any? resourcer-on patches with [pcolor = green - 3]
    [ask patch-here
     [ifelse resources > 0
      [set resources (resources - 10)
       set minerals (minerals + 10)]
      [set pcolor black
       set resources 0]]]]
end

to dimensional-cannon                        
  locals [x y mode]
  set mode random 2
  if mouse-down?
    [set x mouse-xcor
     set y mouse-ycor
     if minerals >= 5000
      [create-custom-dcannon 1
        [setxy 0 (-(screen-edge-y))
         set shape "circle"
         set size 20]                        ;change shape, finish, let it move
        if xcor-of one-of dcannon != x and ycor-of one-of dcannon != y
         [repeat 10 
         [ask dcannon 
          [set heading towardsxy-nowrap x y
           fd (int distancexy x y / 2)
           wait 0.5]]
           ask dcannon
             [set xcor x
              set ycor y]]
      set minerals (minerals - 5000)
      if mission# = 5
      [set minerals (minerals + 2500)]]]
  ask dcannon
  [ask turtles in-radius 10 
   [hatch 1
     [set breed explosion
      set size 15
      ifelse mode = 0
       [set shape "explosion1"]
       [set shape "explosion2"]]]
       wait 0.5]
  ask dcannon
   [ask turtles in-radius 10
     [die]
     die]
  ask explosion [die]
end

;ATTACK COMMANDS

to fire!
  fire-shot
  fire-laser
  fire-torpedo
  enemy-fire-shot
  enemy-fire-laser
  enemy-fire-torpedo
  ask turtles with [HP <= 0 and size <= 2]
  [ask patch-here
  [sprout 1
    [set breed explosion
     set shape "explosion1"
     set size 2
     wait 0.25]]]
  ask turtles with [HP <= 0 and size >= 2.1]
  [ask patch-here
  [sprout 1
    [set breed explosion
     set shape "explosion1"
     set size 4
     wait 0.25]]]
  ask explosion [die]
  ask turtles with [HP <= 0] [die]


end


to fire-shot
  ask fighter
   [ask patch-here
   [sprout 1
    [set breed shot
     set size 1
     set shape "circle"                                                  ;change shape, limit number of attacks?
     set color red                                                       ;
     set heading heading-of one-of fighter-here]]]
  ask shot
  [repeat 2      ;distance
   [fd 1
    wait 0.125
    ask turtles-here with [ally? = FALSE]
      [ifelse shields >= 10
       [set shields (shields - 10)]
       [set shields 0
        set HP (HP - 10 + armor - random special-bonus * 3)]]]
   die]
  
  ask corvette
   [ask patch-here
   [sprout 1
    [set breed shot
     set size 1
     set shape "circle"
     set color red
     set heading heading-of one-of corvette-here]]]
  ask shot
  [repeat 3      ;distance
   [fd 1
   wait 0.125
   ask turtles-here with [ally? = FALSE]
      [ifelse shields >= 10
       [set shields (shields - 10)]
       [set shields 0
        set HP (HP - 10 + armor - random special-bonus * 3)]]]
   die]
  
  ask frigate
   [ask patch-here
   [sprout 1
    [set breed shot
     set size 1
     set shape "circle"                              
     set color red
     set heading heading-of one-of frigate-here]]]
  ask shot
  [repeat 3
   [fd 1
   wait 0.125
   ask turtles-here with [ally? = FALSE]
      [ifelse shields >= 20
       [set shields (shields - 20)]
       [set shields 0
        set HP (HP - 20 + armor - random special-bonus * 3)]]]
   die]
  
  ask destroyer
   [ask patch-here
   [sprout 1
    [set breed shot
     set size 1
     set shape "circle"                              
     set color red
     set heading heading-of one-of destroyer-here]
    sprout 1
    [set breed shot
     set size 1
     set shape "circle"                              
     set color red
     set heading heading-of one-of destroyer-here + 45]
    sprout 1
    [set breed shot
     set size 1
     set shape "circle"                              
     set color red
     set heading heading-of one-of destroyer-here - 45]]]
  ask shot
  [repeat 4
   [fd 1
   wait 0.125
   ask turtles-here with [ally? = FALSE]
      [ifelse shields >= 30
       [set shields (shields - 30)]
       [set shields 0
        set HP (HP - 30 + armor - random special-bonus * 3)]]]
   die]
  
  ask cruiser
   [ask patch-here
   [sprout 1
    [set breed shot
     set size 1
     set shape "circle"                              
     set color red
     set heading heading-of one-of cruiser-here]
    sprout 1
    [set breed shot
     set size 1
     set shape "circle"                              
     set color red
     set heading heading-of one-of cruiser-here + 22.5]
    sprout 1
    [set breed shot
     set size 1
     set shape "circle"                              
     set color red
     set heading heading-of one-of cruiser-here + 45]
    sprout 1
    [set breed shot
     set size 1
     set shape "circle"                              
     set color red
     set heading heading-of one-of cruiser-here + 67.5]
    sprout 1
    [set breed shot
     set size 1
     set shape "circle"                              
     set color red
     set heading heading-of one-of cruiser-here - 22.5]
    sprout 1
    [set breed shot
     set size 1
     set shape "circle"                              
     set color red
     set heading heading-of one-of cruiser-here - 45]
    sprout 1
    [set breed shot
     set size 1
     set shape "circle"                              
     set color red
     set heading heading-of one-of cruiser-here - 67.5]]]
  ask shot
  [repeat 5
   [fd 1
   wait 0.125
   ask turtles-here with [ally? = FALSE]
      [ifelse shields >= 30
       [set shields (shields - 30)]
       [set shields 0
        set HP (HP - 30 + armor - random special-bonus * 3)]]]
   die]
 
  ask cannon
  [ask patch-here
   [sprout 1
    [set breed shot
     set size 1
     set shape "circle"                              
     set color red
     set heading heading-of one-of cannon-here]]]
  ask shot
  [repeat 7
   [fd 1
   wait 0.125
   ask turtles-here with [ally? = FALSE]
      [ifelse shields >= 100
       [set shields (shields - 100)]
       [set shields 0
        set HP (HP - 100 + armor - random special-bonus * 3)]]]
   die]
end


to fire-laser
 repeat 3
 [ask destroyer
   [ask patch-here
   [sprout 1
    [set breed laser
     set size 1
     set shape "laser"                              
     set heading heading-of one-of destroyer-here
     if any? turtles with [ally? = FALSE and color != black]
      [set heading towards-nowrap random-one-of turtles with [ally? = FALSE and color != black]]]]]
  ask laser
  [repeat 7
   [fd 1
   wait 0.03125
   ask turtles-here with [ally? = FALSE]
      [ifelse shields >= 50
       [set shields (shields - 50)]
       [set shields 0
        set HP (HP - 50 + armor - random special-bonus * 3)]]]
   die]]
  repeat 5
  [ask cruiser
   [ask patch-here
   [sprout 1
    [set breed laser
     set size 1
     set shape "laser"                              
     set heading heading-of one-of cruiser-here
     if any? turtles with [ally? = FALSE and color != black]
      [set heading towards-nowrap random-one-of turtles with [ally? = FALSE and color != black]]]]]
  ask laser
  [repeat 10
   [fd 1
   wait 0.03125
   ask turtles-here with [ally? = FALSE]
      [ifelse shields >= 50
       [set shields (shields - 50)]
       [set shields 0
        set HP (HP - 50 + armor - random special-bonus * 3)]]]
   die]]
end


to fire-torpedo
  ask frigate
   [ask patch-here
   [sprout 1
    [set breed torpedo
     set size 1
     set shape "torpedo"                              
     set color red
     set heading heading-of one-of frigate-here
     if any? turtles with [ally? = FALSE and color != black]
      [set heading towards-nowrap random-one-of turtles with [ally? = FALSE and color != black]]]]]
  ask torpedo
  [repeat 5
   [fd 1
   wait 0.03125
   ask turtles-here with [ally? = FALSE]
      [ifelse shields >= 100
       [set shields (shields - 100)]
       [set shields 0
        set HP (HP - 100 + armor - random special-bonus * 3)]]]
   die]
  ask destroyer
   [ask patch-here
   [sprout 1
    [set breed torpedo
     set size 1
     set shape "torpedo"                              
     set color red
     set heading heading-of one-of destroyer-here
     if any? turtles with [ally? = FALSE and color != black]
      [set heading towards-nowrap random-one-of turtles with [ally? = FALSE and color != black]]]]]
  ask torpedo
  [repeat 7
   [fd 1
   wait 0.03125
   ask turtles-here with [ally? = FALSE]
      [ifelse shields >= 100
       [set shields (shields - 100)]
       [set shields 0
        set HP (HP - 100 + armor - random special-bonus * 3)]]]
   die]
  repeat 3
  [ask cruiser
   [ask patch-here
   [sprout 1
    [set breed torpedo
     set size 1
     set shape "torpedo"                              
     set color red
     set heading heading-of one-of cruiser-here
     if any? turtles with [ally? = FALSE and color != black]
      [set heading towards-nowrap random-one-of turtles with [ally? = FALSE and color != black]]]]]
  ask torpedo
  [repeat 10
   [fd 1
   wait 0.03125
   ask turtles-here with [ally? = FALSE]
      [ifelse shields >= 100
       [set shields (shields - 100)]
       [set shields 0
        set HP (HP - 100 + armor - random special-bonus * 3)]]]
   die]]
end




to enemy-fire-shot
  ask turtles with [ally? = FALSE and breed != planet]
  [ask patch-here
   [sprout 1
    [set breed shot
     set size 1
     set shape "circle"
     set color red 
     set heading heading-of one-of turtles-here]]]
  ask shot
  [repeat 4      ;distance
   [fd 1
    wait 0.125
    ask turtles-here with [ally? = TRUE]
      [ifelse shields >= 10
       [set shields (shields - 10)]
       [set shields 0
        set HP (HP - 10 + armor)]]]
   die]
end

to enemy-fire-laser
  ask elphote-cruiser
  [ask patch-here
   [sprout 1
    [set breed laser
     set size 1
     set shape "laser"                              
     set heading heading-of one-of elphote-cruiser-here
     set heading towards-nowrap random-one-of turtles with [ally? = TRUE]]]]
  
  ask elphote-destroyer
   [ask patch-here
   [sprout 1
    [set breed laser
     set size 1
     set shape "laser"                              
     set heading heading-of one-of elphote-destroyer-here
     set heading towards-nowrap random-one-of turtles with [ally? = TRUE]]]]

  ask elphote-frigate
  [ask patch-here
   [sprout 1
    [set breed laser
     set size 1
     set shape "laser"                              
     set heading heading-of one-of elphote-frigate-here
     set heading towards-nowrap random-one-of turtles with [ally? = TRUE]]]]

  ask elphote-interceptor
    [ask patch-here
   [sprout 1
    [set breed laser
     set size 1
     set shape "laser"                              
     set heading heading-of one-of elphote-interceptor-here
     set heading towards-nowrap random-one-of turtles with [ally? = TRUE]]]]
  
  ask laser
  [repeat 7
   [fd 1
   wait 0.03125
   ask turtles-here with [ally? = TRUE]
      [ifelse shields >= 50
       [set shields (shields - 50)]
       [set shields 0
        set HP (HP - 50 + armor)]]]
   die]
end

to enemy-fire-torpedo
  ask imperial-bomber
  [ask patch-here
   [sprout 1
    [set breed torpedo
     set size 1
     set shape "torpedo"                              
     set color red
     set heading heading-of one-of imperial-bomber-here
     set heading towards-nowrap random-one-of turtles with [ally? = TRUE]]]]
  ask imperial-carrier
  [ask patch-here
   [sprout 1
    [set breed torpedo
     set size 1
     set shape "torpedo"                              
     set color red
     set heading heading-of one-of imperial-carrier-here
     set heading towards-nowrap random-one-of turtles with [ally? = TRUE]]]]
  ask imperial-destroyer
  [ask patch-here
   [sprout 1
    [set breed torpedo
     set size 1
     set shape "torpedo"                              
     set color red
     set heading heading-of one-of imperial-destroyer-here
     set heading towards-nowrap random-one-of turtles with [ally? = TRUE]]]]
  
  ask torpedo
  [repeat 7
   [fd 1
   wait 0.0625
   ask turtles-here with [ally? = TRUE]
      [ifelse shields >= 100
       [set shields (shields - 100)]
       [set shields 0
        set HP (HP - 100 + armor)]]]
   die]
end










;SHIP CONSTRUCTION

to build-builder
  if any? starbase
  [if count builder = 0 and builder-counter > 0 and minerals >= 100
      [create-custom-builder 1
        [setxy xcor-of one-of starbase ycor-of one-of starbase
         set shields 10
         set HP 500
         set attack 0
         set speed 2
         set current-speed speed
         set armor 3
         set color grey + 1
         set size 3
         set shape "builder"
         ask turtles with [self = myself]
           [set builder-IDX 1]]
       set builder-counter 0
       set minerals (minerals - 100)]
   if count builder = 1 and builder-counter > 0 and minerals >= 100
      [create-custom-builder 1
        [setxy xcor-of one-of starbase ycor-of one-of starbase
         set shields 10
         set HP 500
         set attack 0
         set speed 2
         set current-speed speed
         set armor 3
         set color grey + 1
         set size 3
         set shape "builder"
         ask turtles with [self = myself]
           [set builder-IDX 2]]
       set builder-counter 0
       set minerals (minerals - 100)]
  if count builder = 2 and builder-counter > 0 and minerals >= 100
       [create-custom-builder 1
        [setxy xcor-of one-of starbase ycor-of one-of starbase
         set shields 10
         set HP 500
         set attack 0
         set speed 2
         set current-speed speed
         set armor 3
         set color grey + 1
         set size 3
         set shape "builder"
         ask turtles with [self = myself]
           [set builder-IDX 3]]
       set builder-counter 0
       set minerals (minerals - 100)] ]
end

to build-resourcer
  if any? starbase
  [while [resourcer-counter > 0 and minerals >= 50]
   [create-custom-resourcer 1
    [setxy xcor-of one-of starbase ycor-of one-of starbase
     set shields 100
     set HP 100
     set attack 0
     set speed 2
     set current-speed speed
     set armor 2
     set color grey + 1
     set size 3
     set shape "resourcer"
     set ally? TRUE]
    set resourcer-counter 0
    set minerals (minerals - 50)]]
end

to build-fighter
  if any? shipyard
  [while [fighter-counter > 0 and minerals >= 30]
    [create-custom-fighter 1
      [setxy xcor-of one-of shipyard ycor-of one-of shipyard
       set shields 5
       set HP 50
       set attack 5
       set speed 4
       set current-speed speed
       set armor 0
       set color grey + 1
       set size 1.5
       set shape "swiftstrike"
       set ally? TRUE]
      set fighter-counter (fighter-counter - 1)
      set minerals (minerals - 30)]]
end

to build-corvette
  if any? shipyard
  [while [corvette-counter > 0 and minerals >= 50]
    [create-custom-corvette 1
      [setxy xcor-of one-of shipyard ycor-of one-of shipyard
       set shields 10
       set HP 100
       set attack 10
       set speed 3
       set current-speed speed
       set armor 1
       set color grey + 1
       set size 2.25
       set shape "xyn'nyf-corvette"]
      set corvette-counter (corvette-counter - 1)
      set minerals (minerals - 50)]]
end

to build-frigate
  if any? shipyard
  [while [frigate-counter > 0 and minerals >= 100]
    [create-custom-frigate 1
      [setxy xcor-of one-of shipyard ycor-of one-of shipyard
       set shields 25
       set HP 500
       set attack 25
       set speed 2
       set current-speed speed
       set armor 2
       set color grey + 1
       set size 3
       set shape "s'val-frigate"
       set ally? TRUE]
      set frigate-counter 0
      set minerals (minerals - 100)]]
end

to build-destroyer
  if any? advanced-shipyard
  [while [destroyer-counter > 0 and minerals >= 250]
    [create-custom-destroyer 1
      [setxy xcor-of one-of advanced-shipyard ycor-of one-of advanced-shipyard
       set shields 100
       set HP 1000
       set attack 35
       set speed 1
       set current-speed speed
       set armor 4
       set color grey + 1
       set size 4
       set shape "hammer"
       set ally? TRUE]
      set destroyer-counter 0
      set minerals (minerals - 250)]]
end

to build-cruiser
  if any? advanced-shipyard
  [while [cruiser-counter > 0 and minerals >= 500]
    [create-custom-cruiser 1
      [setxy xcor-of one-of advanced-shipyard ycor-of one-of advanced-shipyard
       set shields 100
       set HP 2000
       set attack 50
       set speed 1
       set current-speed speed
       set armor 5
       set color grey + 1
       set size 5
       set shape "juggernaut"
       set ally? TRUE]
      set cruiser-counter 0
      set minerals (minerals - 500)]]
end





;BUILDING PROCEDURES

to build-starbase
  while [starbase-counter > 0 and minerals >= 300]
  [ifelse any? builder
   [create-custom-starbase 1
    [setxy xcor-of one-of builder with [builder-ID = builder-IDX] ycor-of one-of builder with [builder-ID = builder-IDX]
     set size 5
     set color gray + 1
     set shape "starbase"
     set HP 5000
     set ally? TRUE]
    set starbase-counter 0
    set minerals (minerals - 300)]
  [stop]]
end

to build-shipyard
  while [shipyard-counter > 0 and minerals >= 200]
  [ifelse any? builder
   [create-custom-shipyard 1
    [setxy xcor-of one-of builder with [builder-ID = builder-IDX] ycor-of one-of builder with [builder-ID = builder-IDX]
     set size 5
     set color gray + 1
     set shape "shipyard"
     set HP 2500
     set ally? TRUE]
    set shipyard-counter 0
    set minerals (minerals - 200)]
  [stop]]
end

to build-research-facility
  while [research-facility-counter > 0 and minerals >= 150]
  [ifelse any? builder
  [create-custom-research-facility 1
   [setxy xcor-of one-of builder with [builder-ID = builder-IDX] ycor-of one-of builder with [builder-ID = builder-IDX]
     set size 5
     set color gray + 1
     set shape "research-facility"
     set HP 2000
     set ally? TRUE]
    set research-facility-counter 0
    set minerals (minerals - 150)]
  [stop]]
end

to build-advanced-shipyard
  while [advanced-shipyard-counter > 0 and minerals >= 250]
  [ifelse any? builder
  [create-custom-advanced-shipyard 1
   [setxy xcor-of one-of builder with [builder-ID = builder-IDX] ycor-of one-of builder with [builder-ID = builder-IDX]
     set size 5
     set color gray + 1
     set shape "advanced-shipyard"
     set HP 3000
     set ally? TRUE]
    set advanced-shipyard-counter 0
    set minerals (minerals - 250)]
  [stop]]
end

to build-cannon
  while [cannon-counter > 0 and minerals >= 75]
  [ifelse any? builder
  [create-custom-cannon 1
   [setxy xcor-of one-of builder with [builder-ID = builder-IDX] ycor-of one-of builder with [builder-ID = builder-IDX]
     set size 5
     set color gray + 1
     set shape "cannon"
     set HP 500
     set heading 0
     set ally? TRUE]
    set cannon-counter 0
    set minerals (minerals - 75)]
  [stop]]
end






;RESERACH COMMANDS
to research                    ;Just for show, delete later
  upgrade-shields
  upgrade-HP
  upgrade-attack
  upgrade-speed
  upgrade-armor
  upgrade-special
end

to upgrade-shields
  if minerals >= 100 + (100 * shield-bonus) and count research-facility > 0
  [set shield-bonus (shield-bonus + 1)
   set minerals (minerals - 100 - (100 * (shield-bonus - 1)))
   set minerals (minerals + (50 * count research-facility))]
end

to upgrade-HP
  if minerals >= 100 + (100 * HP-bonus) and count research-facility > 0
  [set HP-bonus (HP-bonus + 1)
   set minerals (minerals - 100 - (100 * (HP-bonus - 1)))
   set minerals (minerals + (50 * count research-facility))]
end

to upgrade-attack
  if minerals >= 100 + (100 * attack-bonus) and count research-facility > 0
  [set attack-bonus (attack-bonus + 1)
   set minerals (minerals - 100 - (100 * (attack-bonus - 1)))
   set minerals (minerals + (50 * count research-facility))]
end

to upgrade-speed
  if minerals >= 200 + (100 * speed-bonus) and count research-facility > 0
  [set speed-bonus (speed-bonus + 1)
   set minerals (minerals - 200 - (100 * (speed-bonus - 1)))
   set minerals (minerals + (50 * count research-facility))]
end

to upgrade-armor
  if minerals >= 100 + (150 * armor-bonus) and count research-facility > 0
  [set armor-bonus (armor-bonus + 1)
   set minerals (minerals - 100 - (150 * (armor-bonus - 1)))
   set minerals (minerals + (50 * count research-facility))]
end

to upgrade-special
  if minerals >= 300 + (300 * special-bonus) and count research-facility > 0
  [set special-bonus (special-bonus + 1)
   set minerals (minerals - 300 - (300 * (special-bonus - 1)))
   set minerals (minerals + (50 * count research-facility))]
end

to spawn-bugs
  if mission# = 4
  [repeat random 20
   [create-custom-xenomorph-small 1
    [setxy (random int screen-size-x) (random int screen-size-y)
     set size 3
     set shields 0
     set HP 100
     set heading random 360
     set shape "bugsmall"
     set ally? FALSE]]
  repeat random 10
   [create-custom-xenomorph-big 1
    [setxy (random int screen-size-x) (random int screen-size-y)
     set size 5
     set shields 0
     set HP 200
     set heading random 360
     set shape "bugbig"
     set ally? FALSE]]]
end


to spawn-elphote
  repeat random 3 + 1
  [create-custom-elphote-cruiser 1
    [setxy (random int screen-size-x) (random int screen-edge-y)
     set size 5
     set color gray + 1
     set shape "elphote-cruiser"
     set shields 200
     set HP 2000
     set heading 180
     set ally? FALSE]]
  repeat random 3 + 3
  [create-custom-elphote-destroyer 1
    [setxy (random int screen-size-x) (random int screen-edge-y)
     set size 5
     set color gray + 1
     set shape "elphote-destroyer"
     set shields 200
     set HP 1500
     set heading 180
     set ally? FALSE]]
  repeat random 10 + 10
  [create-custom-elphote-interceptor 10
    [setxy (random int screen-size-x) (random int screen-edge-y)
     set color gray + 1
     set size 3
     set shields 20
     set HP 100
     set heading 180
     set shape "elphote-interceptor"
     set ally? FALSE]]
  repeat random 3 + 5
  [create-custom-elphote-frigate 3
    [setxy (random int screen-size-x) (random int screen-edge-y)
     set size 5
     set color gray + 1
     set shape "elphote-frigate"
     set shields 100
     set HP 1000
     set heading 180
     set ally? FALSE]]
end





to defeat
   locals [a]
   set minerals 0
   ca
   create-custom-explosion 50
   [setxy (random screen-size-x) (random screen-size-y)
    set size random 7
    set a random 2
    set heading (random 360)
    ifelse a = 1
    [set shape "explosion1"]
    [set shape "explosion2"]]
   ask patches [set pcolor red - 2 + random 4]
   print "Defeat!"
   print ""
   print "The Enemy has won, sir"
   print "This is a sad day for the Federation"
   print ""
   print "Returning to Deltan Space, sir"
end

to final-victory
  user-message "Victory!"
  user-message "Congradulations, Fleet Admiral Grey"
  user-message "For Deltannia!"
  set victory? 1
  music
end

@#$#@#$#@
GRAPHICS-WINDOW
498
10
1005
538
35
35
7.0
1
10
1
1
1

CC-WINDOW
1
474
496
619
Command Center

CHOICE
30
10
168
55
mission-choose
mission-choose
1 2 3 4 5
0

BUTTON
28
58
97
91
Start
setup
NIL
1
T
OBSERVER
T

CHOICE
176
10
314
55
resource-level
resource-level
50 70 100
0

SLIDER
6
97
231
130
change-heading
change-heading
0
360
0
1
1
Degrees

BUTTON
231
97
344
130
Alter Course
alter-course
T
1
T
OBSERVER
T

BUTTON
160
58
241
91
End Turn
go
NIL
1
T
OBSERVER
T

MONITOR
316
47
424
96
Minerals
minerals
3
1

BUTTON
219
132
298
165
Throttle
throttle
T
1
T
OBSERVER
T

SLIDER
6
132
219
165
current-throttle
current-throttle
0
100
100
1
1
Percent

BUTTON
129
214
211
247
Starbase
build-starbase
NIL
1
T
OBSERVER
T

BUTTON
211
214
292
247
Shipyard
build-shipyard
NIL
1
T
OBSERVER
T

BUTTON
2
214
129
247
Research Facility
build-research-facility
NIL
1
T
OBSERVER
T

BUTTON
366
214
494
247
Advanced Shipyard
build-advanced-shipyard
NIL
1
T
OBSERVER
T

BUTTON
292
214
366
247
Cannon
build-cannon
NIL
1
T
OBSERVER
T

BUTTON
4
277
76
310
Shields
upgrade-shields
NIL
1
T
OBSERVER
T

BUTTON
76
277
158
310
Hit Points
upgrade-HP
NIL
1
T
OBSERVER
T

BUTTON
292
277
358
310
Armor
upgrade-armor
NIL
1
T
OBSERVER
T

BUTTON
358
277
430
310
Special
upgrade-special
NIL
1
T
OBSERVER
T

TEXTBOX
11
177
101
195
Build Structure

TEXTBOX
8
254
142
272
Research Technologies

MONITOR
426
47
497
96
Turns Left
turns-left
3
1

BUTTON
158
277
225
310
Speed
upgrade-speed
NIL
1
T
OBSERVER
T

BUTTON
225
277
292
310
Attack
upgrade-attack
NIL
1
T
OBSERVER
T

MONITOR
4
310
76
359
Shields
shield-bonus
3
1

MONITOR
76
310
157
359
Hit Points
HP-bonus
3
1

MONITOR
157
310
225
359
Speed
speed-bonus
3
1

MONITOR
225
310
291
359
Attack
attack-bonus
3
1

MONITOR
291
310
358
359
Armor
armor-bonus
3
1

MONITOR
358
310
430
359
Special
special-bonus
3
1

CHOICE
101
167
239
212
builder-ID
builder-ID
1 2 3
0

TEXTBOX
9
368
99
386
Build Ship

BUTTON
97
364
175
397
Builder
build-builder
NIL
1
T
OBSERVER
T

BUTTON
175
364
273
397
Resourcer
build-resourcer
NIL
1
T
OBSERVER
T

BUTTON
65
401
142
434
Fighter
build-fighter
NIL
1
T
OBSERVER
T

BUTTON
142
401
229
434
Corvette
build-corvette
NIL
1
T
OBSERVER
T

BUTTON
229
401
306
434
Frigate
build-frigate
NIL
1
T
OBSERVER
T

BUTTON
99
438
195
471
Destroyer
build-destroyer
NIL
1
T
OBSERVER
T

BUTTON
195
438
274
471
Cruiser
build-cruiser
NIL
1
T
OBSERVER
T

BUTTON
344
172
493
206
Dimensional Cannon
dimensional-cannon
T
1
T
OBSERVER
T

BUTTON
97
58
160
91
Fire!
fire!
NIL
1
T
OBSERVER
T

TEXTBOX
357
424
460
454
Michael Lam Pd 7

SWITCH
328
12
455
45
quick-setup?
quick-setup?
0
1
-1000

BUTTON
344
97
407
130
Auto
auto-adjust
T
1
T
OBSERVER
T

@#$#@#$#@
Deltannia: Grey Commander

STORY
----------
In 1993 BE the Matharans had spaceflight....

For thousands of years, the galaxy went on, through peace and through turmoil. Then, a hero was born.

In 2089 AO on Cortana, Connor Grey immediately entered a galaxy in chaos. Early in his childhood, the Cotal Rebellion started, and his family was swept into the war between the Traditionalists and the Modernists...

He quickly escaped and worked his way fom the Marines into the Deltan Space Navy. By 2112, he had his first assignment.

His many adventures led him to the rank of Fleet Admiral in the Navy, and an inluencial member of the galaxy....

GAMEPLAY
---------
Make sure the sound.jar extension is available. If it is, uncomment the music procedure the music procedure....


Begin by choosing your mission (For New Game choose Mission 1). Choose level of difficulty through resource-level.
Quick-setup skips the introduction.
To start, press Start.

The first display changes the headings and alters the speed of individual ships. Change the slider, click on the button, and then click on the ship to give orders.

Build strutures
Five Structures are available to build:
Research Facility - Allows researching. Multiple facilites cuts cost of researches and  can also give refunds if there are enough research facilities (Redundancies)
Starbase* - Builds Builders and Draconian Resourcers
Shipyard* - Builds Fighters, Xyn'nyf Corvettes, and S'val Frigates
Cannon - Defense Platform
Advanced Shipyard* - Builds Destroyer and Cruiser-class vessels
*Can build only one of each

Research Technologies
There are six different upgrades:
Shields - Increases shielding ability. Shields restore after time
Hit Points - Increases base hit points
Speed - Increases maximum speed
Attack - Increases attack power
Armor - Increases resistance to attack
Special - Increases special abilities of certain ships

Build Ship
There are seven ships to build. Look above for where to build them
Builder - Builds stations. Each has a unique ID. Only three can be built
Resourcer - Collects resources from nebulas and asteroids
Fighter - Small, fast, low attack and health
Corvette - Small, fast, low attack and health, but higher than figher
Frigate - Medium, medium, medium attack and health. Better weapons
Destroyer - Large, slow, heavy attack and health
Cruiser - Largest, slow, Maximum attack power and health

Dimensional Cannon
Developed by Deltan Dimensional Technologies and the Deltan Space Navy, this weapon is a deadly show of firepower. Similar scale to nuclear weapons in the old Mathar.

MISSIONS
----------
1. Find and destroy the renegade Kral timeship
	Destroy it before the Kral launch another temporal attack
2. Slingshot
	Gather enough resouces to build a Wormhole Gate. Watch for pirates
3. Battle of Tetra 4
	The famous battle, and death of millions. Perhaps you can fair better?
4. Siege of the Xenomorphs
	The Xenomorphs have terrorized the galaxy for ages. Kill of the bugs!
5. Battle of New Delta
	The Deltan Battledome, a planetwide space station covering New Delta, has come under attack many times. Here's another one, an Elphote fleet is coming!



CREDITS
---------
Based upon Michael Lam's Galactic Federation. For more information, contact at iamscifius@yahoo.com or look at http://www.geocities.com/iamscifius. Continuously being updated.

EXTENSIONS
----------
Projected add-ons:
List of species and further update of history.
Better AI.
Further beta testing, bugs may be present.
Improvement of mission 2 and actual wormhole gate
Change specials to include new abilities of ships
Limit attacking
Wished to have a little more time. Many loose ends with comments. Like, an hour more...
Will finish and planned sequels: Deltannia: Parallax, based on the parallel universe theories, and Deltannia: Exodus, based on the Galactic Exodus...


Please allow next time, MORE time for people who actually wanted to finish it..., like the obseesives.



@#$#@#$#@
default
true
0
Polygon -7566196 true true 150 5 40 250 150 205 260 250

advanced-shipyard
false
0
Rectangle -7566196 true true 61 46 105 255
Rectangle -7566196 true true 195 45 241 255
Rectangle -7566196 true true 88 225 136 255
Rectangle -7566196 true true 166 225 209 255
Rectangle -7566196 true true 136 46 136 48
Rectangle -7566196 true true 76 46 136 77
Rectangle -7566196 true true 165 45 202 76
Rectangle -7566196 true true 165 65 208 76
Rectangle -7566196 true true 165 63 202 77
Rectangle -7566196 true true 87 135 135 166
Rectangle -7566196 true true 166 135 216 167
Rectangle -65536 true false 135 45 165 77
Rectangle -65536 true false 136 225 166 255
Rectangle -65536 true false 136 135 165 166
Rectangle -65536 true false 135 135 139 165
Rectangle -65536 true false 159 135 166 165
Rectangle -65536 true false 104 77 121 135
Rectangle -65536 true false 181 77 195 135
Rectangle -65536 true false 181 167 195 225
Rectangle -65536 true false 105 166 120 225
Rectangle -7566196 true true 60 45 135 60

bugbig
true
0
Polygon -6524078 true false 135 105 136 90 149 105 163 89 165 104 179 120 189 164 179 209 120 209 111 164 120 120 135 105 135 105
Polygon -6524078 true false 120 118 105 111 97 90 97 120 117 131
Polygon -6524078 true false 119 118 130 123 121 133 110 127
Polygon -6524078 true false 179 119 196 111 203 90 202 119 180 135
Polygon -6524078 true false 45 89 75 149 110 165 188 163 226 149 255 90 240 178 181 196 115 195 59 181
Polygon -6524078 true false 136 206 120 240 120 269 106 240 122 202
Polygon -6524078 true false 165 206 180 240 180 269 195 239 173 197
Circle -16777216 true false 141 113 3
Circle -16777216 true false 155 112 4
Circle -16777216 true false 141 112 4
Circle -16777216 true false 141 118 4
Circle -16777216 true false 154 118 4
Circle -16777216 true false 154 123 4
Circle -16777216 true false 142 123 4
Polygon -1 true false 135 59 135 88 148 103 162 89 165 58 150 89
Rectangle -6524078 true false 124 196 175 226

bugsmall
true
0
Polygon -6524078 true false 135 104 120 150 135 195 166 195 180 149 165 104
Polygon -6524078 true false 125 165 44 135 73 179 135 192
Polygon -6524078 true false 173 167 255 135 240 179 163 193
Rectangle -6524078 true false 117 170 186 183
Polygon -1 true false 126 130 135 44 151 102 165 42 173 128 165 102 134 103
Polygon -16777216 true false 140 116 160 116 151 113 140 116
Circle -16777216 true false 147 114 8
Circle -16777216 true false 143 112 14

builder
true
0
Rectangle -7566196 true true 121 120 181 225
Rectangle -7566196 true true 120 75 180 105
Rectangle -7566196 true true 135 97 166 149
Polygon -7566196 true true 136 60 166 60 180 76 120 75 136 60
Rectangle -65536 true false 121 225 179 240
Rectangle -16745473 true false 138 66 162 81

cannon
true
0
Circle -7566196 true true 121 121 60
Rectangle -7566196 true true 136 45 166 139
Rectangle -7566196 true true 106 135 195 166
Rectangle -7566196 true true 134 159 166 195
Rectangle -16777216 true false 145 107 156 184
Rectangle -65536 true false 136 35 165 44
Rectangle -16745473 true false 145 78 156 107

circle
false
0
Circle -7566196 true true 35 35 230

elphote-cruiser
true
0
Rectangle -7566196 true true 75 76 224 226
Polygon -7566196 true true 106 60 60 106 61 195 104 240 196 240 241 194 239 104 194 58
Polygon -7566196 true true 105 60 137 14 166 14 193 58 124 100 105 60
Rectangle -65536 true false 104 240 195 270
Polygon -16777216 true false 219 198 219 113 79 113 79 197 150 123
Rectangle -16777216 true false 114 90 185 118

elphote-destroyer
true
0
Rectangle -7566196 true true 91 75 209 226
Circle -7566196 true true 59 179 32
Circle -7566196 true true 61 150 30
Circle -7566196 true true 60 121 30
Circle -7566196 true true 61 90 30
Circle -7566196 true true 209 89 32
Circle -7566196 true true 209 119 32
Circle -7566196 true true 209 149 32
Circle -7566196 true true 209 179 33
Polygon -65536 true false 61 202 75 211 90 199 84 248 83 230 77 242 70 230 67 251 61 202
Polygon -65536 true false 210 200 223 211 242 201 238 258 230 225 226 261 223 241 216 259
Polygon -7566196 true true 105 73 121 45 180 45 196 74 197 110 138 116
Rectangle -16777216 true false 124 56 177 70
Rectangle -7566196 true true 70 44 82 94
Rectangle -7566196 true true 219 45 231 92

elphote-frigate
true
0
Rectangle -7566196 true true 76 105 225 195
Polygon -7566196 true true 105 105 135 29 166 29 195 103 198 123 122 144
Rectangle -7566196 true true 85 175 214 230
Rectangle -7566196 true true 60 60 75 211
Rectangle -7566196 true true 70 104 119 194
Rectangle -7566196 true true 225 59 240 211
Rectangle -7566196 true true 199 109 234 192
Rectangle -16777216 true false 143 44 159 93
Rectangle -16777216 true false 133 64 169 81
Rectangle -16777216 true false 127 78 175 99
Polygon -65536 true false 85 230 90 268 120 254 126 284 154 257 182 284 190 243 202 285 214 229 85 230
Circle -65536 true false 59 209 14
Circle -65536 true false 227 210 13

elphote-interceptor
true
0
Rectangle -7566196 true true 121 90 180 210
Rectangle -16777216 true false 166 135 181 166
Rectangle -16777216 true false 121 135 136 166
Rectangle -16777216 true false 115 135 127 165
Polygon -7566196 true true 120 89 135 74 166 74 180 90 130 100
Rectangle -65536 true false 121 210 179 286

explosion1
true
0
Polygon -65536 true false 108 129 122 57 198 82 181 159 153 20 248 143 132 241
Polygon -65536 true false 75 64 243 73 180 265
Polygon -65536 true false 118 41 28 178 186 171 143 267 222 171 118 41
Polygon -65536 true false 73 150 63 249 167 152
Polygon -44544 true false 150 104 84 148 172 186
Polygon -44544 true false 179 119 126 138 113 93
Polygon -44544 true false 257 100 200 125 225 200
Polygon -65536 true false 101 182 127 144 130 178 99 172
Polygon -65536 true false 201 151 266 169 204 173

explosion2
true
0
Rectangle -65536 true false 87 59 101 68
Rectangle -65536 true false 180 167 181 169
Rectangle -65536 true false 104 65 172 132
Rectangle -65536 true false 173 152 199 172
Rectangle -65536 true false 95 98 173 223
Polygon -65536 true false 31 153 167 37 243 170 88 218
Polygon -65536 true false 235 112 170 258 66 180 48 91
Polygon -65536 true false 110 30 26 119 216 205
Polygon -44544 true false 73 42 203 54 123 97
Polygon -65536 true false 119 73 276 93 150 129
Polygon -44544 true false 112 181 131 182 123 146 197 183 163 225
Polygon -44544 true false 87 115 97 146 64 122
Polygon -65536 true false 106 216 93 271 74 180
Polygon -65536 true false 269 161 219 159
Polygon -65536 true false 270 160 200 160 234 134

hammer
true
0
Rectangle -7566196 true true 136 45 135 45
Polygon -7566196 true true 136 45 166 45 196 60 210 104 195 149 165 165 134 165 106 151 90 105 106 60 136 45
Polygon -7566196 true true 120 158 120 194 90 203 91 254 106 254 105 240 121 240 121 254 136 254 135 240 166 240 167 254 181 254 181 239 197 240 197 254 210 255 210 202 180 195 179 155
Rectangle -7566196 true true 165 233 181 254
Rectangle -7566196 true true 196 235 209 255
Rectangle -7566196 true true 99 218 200 240
Rectangle -65536 true false 106 241 120 270
Rectangle -65536 true false 182 240 195 270
Polygon -16711681 true false 109 241 107 253 112 264 118 258 116 249
Polygon -16711681 true false 116 252 118 240 109 240
Polygon -16711681 true false 184 240 184 258 190 266 193 258
Polygon -16711681 true false 193 241 188 258
Polygon -16711681 true false 195 242 190 258 183 243
Rectangle -1 true false 133 70 169 135
Polygon -1 true false 105 54 136 38 168 38 196 53 196 60 168 45 135 44
Polygon -1 true false 134 44 105 61 105 51

imperial-bomber
true
0
Polygon -7566196 true true 105 180 135 150 135 119 120 104 119 90 136 74 151 44 165 75 180 90 180 106 165 121 165 150 196 180 151 195
Rectangle -7566196 true true 120 120 180 150
Rectangle -7566196 true true 121 181 181 195
Rectangle -65536 true false 122 196 179 269
Rectangle -16745473 true false 146 69 155 99

imperial-carrier
true
0
Polygon -7566196 true true 121 60 120 120 181 120 181 60 211 76 211 210 195 225 105 225 90 210 90 74
Polygon -7566196 true true 76 150 90 135 211 135 225 150 225 180 211 195 88 195 75 179
Rectangle -65536 true false 104 225 195 265
Circle -65536 true false 77 143 4
Circle -65536 true false 81 138 6
Circle -65536 true false 76 144 4
Circle -65536 true false 210 134 6
Circle -65536 true false 215 137 6
Circle -65536 true false 219 142 4
Circle -65536 true false 85 133 6
Circle -65536 true false 76 143 6
Circle -65536 true false 220 142 6

imperial-destroyer
true
0
Polygon -7566196 true true 136 60 165 60 211 29 211 106 166 135 165 210 135 210 136 134 89 105 90 30
Rectangle -7566196 true true 90 210 211 255
Rectangle -7566196 true true 211 255 212 256
Rectangle -7566196 true true 136 198 162 223
Rectangle -7566196 true true 121 150 181 179
Rectangle -65536 true false 90 255 133 270
Rectangle -65536 true false 167 256 209 271
Circle -65536 true false 91 106 13
Circle -65536 true false 195 107 15
Rectangle -65536 true false 96 116 98 170
Rectangle -65536 true false 202 118 204 170

juggernaut
true
0
Polygon -7566196 true true 151 28 105 45 60 76 61 105 242 105 241 74 195 45 151 28
Rectangle -7566196 true true 117 96 183 210
Polygon -7566196 true true 241 105 183 120 117 121 60 105
Rectangle -7566196 true true 75 210 225 255
Polygon -65536 true false 75 255 87 280 104 258 119 282 134 268 152 286 179 264 181 295 197 272 211 282 225 254
Rectangle -7566196 true true 121 190 173 238
Rectangle -7566196 true true 117 86 240 105
Rectangle -7566196 true true 80 84 133 106
Rectangle -7566196 true true 170 87 211 110
Circle -7566196 true true 68 204 14
Circle -7566196 true true 217 202 14
Circle -7566196 true true 56 100 10
Circle -7566196 true true 235 98 12
Polygon -1 true false 60 65 59 75 104 45 151 27 195 44 240 73 240 64 194 37 149 18 104 38 60 65
Line -7566196 true 61 105 74 210
Line -7566196 true 243 103 225 206
Polygon -1 true false 85 74 150 43 214 73

kral-timefighter
true
0
Polygon -7566196 true true 150 45 136 90 120 150 106 224 134 241 165 241 197 224 180 150 165 88
Rectangle -7566196 true true 115 119 123 184
Rectangle -7566196 true true 177 120 185 179

kral-timeship
true
0
Polygon -7566196 true true 135 150 135 134 121 90 136 59 136 29 150 60 165 29 166 59 180 90 165 134 165 149 195 195 195 239 180 255 120 255 105 240 105 194 135 150
Rectangle -7566196 true true 121 45 128 89
Rectangle -7566196 true true 172 45 181 89
Rectangle -7566196 true true 111 150 120 194
Rectangle -7566196 true true 181 151 188 187
Rectangle -7566196 true true 186 151 190 192

laser
true
0
Rectangle -16776961 true false 117 7 184 301

pirate-corvette
true
0
Polygon -7566196 true true 150 60 135 90 135 119 120 165 120 120 103 121 103 211 197 210 197 120 180 120 180 163 165 121 165 89
Polygon -7566196 true true 103 210 119 225 181 226 197 209
Rectangle -16776961 true false 146 90 153 117
Polygon -65536 true false 120 224 111 244 124 274 142 249 164 291 174 252 186 234 180 227

pirate-frigate
true
0
Polygon -7566196 true true 135 46 167 46 196 90 180 119 181 165 211 210 211 239 167 270 135 270 90 239 90 209 121 164 121 119 105 87 135 46
Rectangle -16776961 true false 138 60 161 91
Rectangle -16776961 true false 104 211 109 236
Rectangle -16776961 true false 194 210 198 239
Rectangle -16776961 true false 105 234 108 240
Rectangle -16776961 true false 104 234 108 241
Rectangle -65536 true false 136 270 165 279
Circle -65536 true false 91 242 12
Circle -65536 true false 198 243 13
Circle -16711681 true false 109 66 8
Circle -16711681 true false 184 66 9
Circle -16711681 true false 197 186 9
Circle -16711681 true false 96 185 8

pirate-salvager
true
0
Polygon -7566196 true true 151 44 134 44 105 59 91 120 135 120 135 194 90 210 90 240 210 241 210 210 165 195 165 120 210 120 182 59 151 44
Polygon -7566196 true true 210 120 195 59 164 44 151 44 210 120
Rectangle -65536 true false 90 240 209 255
Rectangle -16776961 true false 121 61 182 73
Polygon -16776961 true false 122 62 151 51 179 62
Polygon -16776961 true false 181 62 150 50 121 61
Line -16776961 false 180 60 151 49
Line -16776961 false 151 49 178 60
Line -16776961 false 180 61 150 50
Polygon -7566196 true true 166 151 196 151 212 134 213 179 196 167 105 167 88 181 88 135 104 149

planeta
true
0
Circle -16711936 true false 5 5 291
Circle -16776961 true false 58 34 13
Circle -16776961 true false 62 32 11
Circle -16776961 true false 52 40 13
Circle -16776961 true false 54 36 16
Polygon -16776961 true false 66 32 79 35 85 44 102 49 112 56
Polygon -16776961 true false 120 68 109 54 75 45 67 38 74 35 110 54
Polygon -16776961 true false 65 47 57 65 68 80 66 88 70 128 106 139 90 167 93 179 72 208 55 242 52 256 59 263 64 267 80 250 97 232 87 224 112 173 128 146 124 102 105 81 112 63
Polygon -16776961 true false 101 30 63 43 148 101
Polygon -16776961 true false 81 57 66 46 77 41 84 70 93 84 138 101 182 86 177 40 216 21 190 10 162 32 154 67 128 70 119 71 114 90 82 75
Polygon -16776961 true false 71 58 128 47 153 138
Polygon -16776961 true false 159 51 148 72
Polygon -16776961 true false 161 42 146 70 191 28
Polygon -16776961 true false 163 47 128 69 165 64
Polygon -16776961 true false 158 57 123 72 163 73 165 48
Polygon -16776961 true false 123 58 147 62 152 113 114 124
Polygon -16776961 true false 79 110 30 133 5 160 8 182 15 203 26 177 66 138 87 119
Circle -16776961 true false 76 104 40
Circle -16776961 true false 59 116 26
Circle -16776961 true false 54 127 16
Circle -16776961 true false 44 89 46
Circle -16711936 true false 32 72 32
Circle -16711936 true false 33 90 17
Circle -16776961 true false 39 114 22
Circle -16776961 true false 179 175 70
Circle -16711936 true false 214 149 45
Circle -16711936 true false 174 144 34
Circle -16711936 true false 170 123 46
Circle -16711936 true false 176 119 72
Circle -16711936 true false 156 221 44
Polygon -16776961 true false 205 161 139 101 139 115 163 166 201 193 230 194 205 161
Polygon -16776961 true false 200 224 164 230 136 245 108 268 98 284 112 290 131 294 154 295 185 291 221 276 227 237
Circle -16776961 true false 127 225 70
Circle -16776961 true false 186 241 42
Circle -16776961 true false 176 254 34
Circle -16776961 true false 184 243 38
Polygon -16776961 true false 232 265 207 284 172 294 143 295 117 292 98 285
Polygon -16776961 true false 177 149 258 165 295 141 294 173 289 194 283 210 272 228 259 245 247 258 228 273 221 273 173 237 217 183 195 155 188 150 198 148 206 158 191 158
Polygon -16776961 true false 196 152 209 147 234 180 154 182
Circle -16711936 true false 138 168 37
Polygon -16711936 true false 252 214 243 222 244 225 244 225 252 224
Polygon -16711936 true false 266 215 250 220 253 212
Polygon -16711936 true false 263 205 250 215 263 215
Circle -16776961 true false 196 125 62
Circle -16776961 true false 173 114 36
Circle -16776961 true false 142 87 44
Polygon -16776961 true false 173 86 198 115 199 131 170 105
Polygon -16776961 true false 237 132 277 164 232 178 234 142

planetb
true
0
Circle -65536 true false 7 7 288
Polygon -65281 true false 224 120 156 158 92 198 90 232 84 277 106 287 110 261 167 223 202 178 234 136 290 116 285 99 253 93
Polygon -65281 true false 19 208 57 176 112 146 173 95 230 72 255 52 241 38 190 49 154 89 66 130 38 165 16 192
Polygon -65281 true false 8 160 69 108 103 49 161 39 191 13 161 16 113 27 45 75 21 133 8 147
Polygon -65281 true false 145 7 116 28 193 14 173 9
Polygon -65281 true false 293 137 253 169 201 225 167 276 140 292 171 291 190 288 222 273 241 246 274 201 294 166
Circle -44544 true false 128 211 20
Circle -44544 true false 134 206 20
Circle -44544 true false 142 198 20
Circle -44544 true false 139 198 12
Circle -44544 true false 131 204 13

planetc
true
0
Circle -6524078 true false 15 15 270
Polygon -256 true false 47 64 108 64 180 75 275 96 279 112 277 138 173 141 129 73 95 91 30 88
Polygon -256 true false 74 84 110 118 152 114 185 107 118 67
Polygon -256 true false 24 105 59 118 98 142 158 161 234 176 281 184 273 204 265 218 229 210 157 204 142 174 67 161 33 135 16 127
Polygon -256 true false 245 135 284 149 282 123 275 105
Polygon -256 true false 20 183 123 212 206 248 222 263 193 277 169 282 140 284 126 264 64 246 53 243 40 228 30 213
Polygon -256 true false 110 23 124 38 164 44 224 68 266 81 247 58 216 53 159 37 123 18

planetd
true
0
Circle -6524078 true false 82 76 102
Circle -6524078 true false 157 125 41
Circle -6524078 true false 157 79 35
Circle -6524078 true false 118 56 47
Polygon -6524078 true false 103 72 108 58 125 49 146 49 156 58 170 50 184 67 191 84 207 93 200 129 203 142 193 173 193 173 164 180 143 185 125 195 98 186 98 186 62 145 77 93
Polygon -6524078 true false 106 220 126 220 149 264 108 267 85 228
Polygon -6524078 true false 143 258 153 244 136 223 107 216 69 260 128 266 151 248
Polygon -6524078 true false 65 240 104 271 138 265 86 227
Polygon -6524078 true false 241 147 204 199 241 217 210 251 261 250 260 177
Polygon -6524078 true false 226 189 201 224 229 256 258 217 272 191 255 166 238 155 228 164
Polygon -6524078 true false 216 205 217 153 192 211 212 220 223 217
Polygon -6524078 true false 216 151 245 141 222 210
Polygon -6524078 true false 212 149 226 188 209 202 212 149

planete
true
0
Circle -16711738 true false 15 15 272
Polygon -16745473 true false 102 23 111 28 117 40 130 47 148 57 175 57 201 59 217 71 241 74 256 90 261 104 260 124 279 130 285 135 287 154 285 171 268 164 252 153 243 133 239 114 219 103 200 101 180 107 157 106 134 108 103 121 79 110 43 122 20 117 23 104 31 86 42 69 58 78 81 77 124 84 155 80 132 69 110 59 78 44 75 37 87 31
Polygon -16745473 true false 16 168 40 166 61 173 88 163 110 170 131 155 169 155 214 152 234 168 261 179 280 187 278 199 271 212 266 222 247 208 234 205 211 190 191 196 174 213 201 228 211 244 227 246 233 254 233 258 225 264 215 270 197 278 176 257 144 240 121 240 87 227 51 218 33 218 27 205 19 185
Polygon -16745473 true false 145 68 123 91 174 88

research-facility
false
0
Circle -7566196 true true 47 46 208
Circle -16777216 true false 60 58 182
Rectangle -7566196 true true 57 135 248 165
Rectangle -7566196 true true 135 52 166 243
Rectangle -7566196 true true 135 205 164 251
Rectangle -7566196 true true 158 231 165 245
Circle -7566196 true true 107 108 86

resourcer
true
0
Rectangle -7566196 true true 121 120 181 225
Rectangle -7566196 true true 120 75 180 105
Rectangle -7566196 true true 135 97 166 149
Polygon -7566196 true true 136 60 166 60 180 76 120 75 136 60
Rectangle -65536 true false 121 225 179 240
Rectangle -16745473 true false 138 66 162 81
Polygon -7566196 true true 120 119 196 120 211 136 210 225 89 225 90 135 105 119
Rectangle -6524078 true false 121 135 180 209
Circle -65536 true false 194 223 17
Circle -65536 true false 89 223 16

s'val-frigate
true
0
Polygon -7566196 true true 75 210 226 210 241 210 180 180 120 180 60 210
Rectangle -7566196 true true 119 203 180 225
Polygon -7566196 true true 120 178 121 119 113 95 113 69 121 44 134 74 165 74 181 44 189 67 189 98 180 119 180 178 178 190
Polygon -7566196 true true 120 171 121 188 152 186
Rectangle -16711738 true false 61 210 118 216
Rectangle -16711738 true false 182 210 239 216
Rectangle -16745473 true false 142 83 156 129
Line -16777216 false 142 104 155 104

shipyard
false
0
Rectangle -7566196 true true 91 75 121 225
Rectangle -7566196 true true 180 75 210 225
Rectangle -7566196 true true 114 75 136 106
Rectangle -7566196 true true 165 75 195 105
Rectangle -7566196 true true 96 195 135 225
Rectangle -7566196 true true 166 195 191 225
Rectangle -7566196 true true 190 105 226 195
Rectangle -7566196 true true 75 105 104 195
Rectangle -65536 true false 136 74 165 91
Rectangle -65536 true false 135 210 165 227
Rectangle -65536 true false 166 104 180 195
Rectangle -65536 true false 121 105 136 194
Rectangle -65536 true false 122 177 136 195

starbase
false
0
Polygon -7566196 true true 76 61 121 45 136 29 166 29 180 45 226 60 240 105 179 105 180 195 241 195 225 240 180 254 165 270 135 270 120 254 74 240 60 195 105 195 106 104 58 105
Rectangle -7566196 true true 62 96 110 105
Rectangle -7566196 true true 171 101 182 208
Rectangle -7566196 true true 165 84 195 210
Rectangle -7566196 true true 157 82 196 219
Circle -16776961 true false 139 35 22
Circle -16776961 true false 199 78 24
Circle -16776961 true false 78 79 22
Rectangle -16776961 true false 76 210 226 227
Circle -16776961 true false 109 148 6
Circle -16776961 true false 187 148 6
Rectangle -16776961 true false 137 254 164 265

swiftstrike
true
0
Polygon -7566196 true true 150 60 195 104 225 179 180 195 119 195 74 180 105 105 150 60
Rectangle -7566196 true true 120 184 180 210
Rectangle -16745473 true false 138 108 160 150
Rectangle -65536 true false 119 210 180 216
Circle -65536 true false 100 190 10
Circle -65536 true false 190 190 10
Rectangle -65536 true false 179 210 181 215

tetra4
true
0
Circle -11352576 true false 14 14 273
Circle -16711738 true false 161 134 54
Polygon -16711738 true false 188 134 236 142 264 119 280 110 284 122 286 145 284 171 265 182 226 205 207 173
Polygon -16711738 true false 193 176 229 195 216 169
Polygon -16711738 true false 152 56 135 133 141 184 161 223 140 285 104 278 69 260 46 238 67 192 66 139 109 61 101 22 133 15 160 15
Polygon -16711738 true false 105 87 38 71 29 86 20 107 16 125 61 138 67 173 103 159 120 95 115 120
Polygon -16711738 true false 106 136 66 80 117 34 109 22 48 78 58 84 63 84
Polygon -16711738 true false 66 83 115 70 91 127
Polygon -16711738 true false 93 45 127 65 118 31
Line -16711738 false 206 112 205 145
Line -16711738 false 206 113 195 80
Line -16711738 false 198 92 192 92
Polygon -16711738 true false 195 20 153 44 154 15 170 14
Polygon -16711738 true false 152 239 192 245 208 224 234 233 195 260 144 264 141 235
Polygon -16711738 true false 251 187 233 233 246 246 261 229
Polygon -16711738 true false 218 228 251 220 242 232 218 238
Polygon -16711738 true false 239 185 246 201
Polygon -16711738 true false 245 184 240 213 250 220
Polygon -16711738 true false 242 181 252 205 231 201 232 183 247 192 248 201 245 194
Rectangle -16711738 true false 231 181 250 204
Polygon -11352576 true false 103 137 99 174 111 190
Polygon -11352576 true false 113 138 106 167 103 134

torpedo
true
0
Circle -65536 true false 30 31 240
Polygon -7566196 true true 124 112 134 99 168 99 180 113 180 179 188 195 180 214 172 230 129 230 112 196 124 181
Polygon -7566196 true true 126 162 112 195 187 194 179 168
Polygon -44544 true false 129 231 116 244 125 262 145 250 152 265 157 248 187 260 171 231
Polygon -256 true false 135 232 133 242 148 246 167 241 163 231

wormhole
false
0
Polygon -16745473 true false 90 31 105 75 128 198 129 297 176 296 173 207 190 131 152 44
Polygon -16745473 true false 90 30 213 32 198 68 189 132
Polygon -7566196 true true 59 33 79 61
Polygon -16745473 true false 58 30 239 30 194 131
Polygon -16745473 true false 59 29 116 130 193 131 197 117

xyn'nyf-corvette
false
0
Circle -7566196 true true 75 75 150
Rectangle -7566196 true true 135 194 165 240
Polygon -7566196 true true 150 45 225 149 75 150
Rectangle -7566196 true true 90 178 210 210
Polygon -16745473 true false 90 152 121 90 180 89 208 149
Circle -16777216 true false 139 185 20
Circle -65536 true false 89 208 17
Circle -65536 true false 194 208 17
Polygon -16711738 true false 135 240 131 255 137 271 140 291 150 267 162 279 168 259 164 240 135 240 135 240

@#$#@#$#@
NetLogo 2.0.2
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
